# Dla podanego n naturalnego wypisujemy wszystkie punkty na płaszczyźnie
# o współrzędnych całkowitych odległe od (0,0) o nie więcej niż n.
# Ilustracja dla n=5: circ.png

n = int(input('podaj promien: '))

for x in range(-n, n+1):
    for y in range(-n, n+1):
        if x ** 2 + y ** 2 > n ** 2:
            continue
        print(x, y)
        # ... instrukcje tutaj wykonają się jedynie dla par,
        # ktore spełniają warunek (leżą wewnątrz koła)


# Bez użycia continue:
# for x in range(-n, n+1):
#    for y in range(-n, n+1):
#        if x ** 2 + y ** 2 <= n ** 2:
#            print(x, y)
# powyżej print (i możliwe inne instrukcje)
# jest jeden blok glębiej - to może utrudniać czytanie kodu.
